1. 1 AIS Dataset
ElaneGlobal
  • 1 AIS Dataset
    • 1.1 Vessel Position
      • 1.1.1 Single Vessel Position
      • 1.1.2 Multi-vessel Position
      • 1.1.3 Fleet Position
    • 1.2 Vessel Search
      GET
    • 1.3 Vessels Nearby
      GET
    • 1.4 Vessels in Zone
      GET
    • 1.5 Vessel Flag Information
      GET
  • 2 Voyage Dataset
    • 2.1 Port Information
      GET
    • 2.2 Currently Berthed Vessels
      GET
    • 2.3 Currently Anchored Vessels
      GET
    • 2.4 Inbound / Expected Arrivals
      GET
  • 3 History Dataset
    • 3.1 Vessel History Track
      GET
    • 3.2 Ship-to-Ship (STS) Events
      GET
    • 3.3 Vessel Port Call History
      GET
    • 3.4 Vessel Port Call Records at Specific Port
      GET
    • 3.5 Vessel Current Port Call
      GET
    • 3.6 Port Calls Records for Port
      GET
  • 4 Prediction Dataset
    • 4.1 Point-to-Point Route Planning
      GET
    • 4.2 Port-to-Port Route Planning
      GET
    • 4.3 ETA Query
      GET
  • 5 Meteorology Dataset
    • 5.1 Global Tropical Cyclone
      • 5.1.1 Global Tropical Cyclones List
      • 5.1.2 Tropical Cyclone Details by Point
    • 5.2 Global Port Tide Predictions
      • 5.2.1 Request parameters for Global Tide Gauge Stations List
      • 5.2.2 Query Single Tide Gauge Station Details
    • 5.3 Global Marine Weather
      GET
  • 6 China Region Coastline Warning Dataset
    • 6.1 China Region Navigational Warnings
      GET
  • 7 Event Dataset
    • 7.1 Monitored Fleet Management
      • 7.1.1 Create Fleet
      • 7.1.2 Update Fleet Information
      • 7.1.3 Query Fleet
      • 7.1.4 Delete Fleet
      • 7.1.5 Add Vessels to Fleet
      • 7.1.6 Batch Update Vessels in Fleet
      • 7.1.7 Remove Vessels from Fleet
    • 7.2 Geofence Monitoring Push
      • 7.2.1 Geofence Creation
      • 7.2.2 Geofence Update
      • 7.2.3 Geofence Query
      • 7.2.4 Geofence Deletion
      • 7.2.5 Geofence Monitoring Push
    • 7.3 Vessel Speed Alert Push
      • 7.3.1 Add Vessel Speed Alert Subscription
      • 7.3.2 Delete Vessel Speed Alert Subscription
      • 7.3.3 Query Vessel Speed Alert Subscription List
      • 7.3.4 Vessel Speed Anomaly Push
    • 7.4 Real-time Vessel Position Push
      POST
    • 7.5 Arrival/Departure Event Push
      POST
    • 7.6 Vessel Dynamic ETA Push
      POST
    • 7.7 Vessel AIS Signal Loss Event Push
      POST
    • 7.8 Vessel STS Event Push
      POST
  • Appendix
    • Vessel Type Comparison Table
    • Service Return Code
    • Sea Area Reference Table
    • Navigation Status Comparison Table
    • Deviation Node List
    • Aids to Navigation (AtoN) Type Table
  1. 1 AIS Dataset

1.2 Vessel Search

GET
https://api.elaneglobal.com/v1/AIS/VesselSearch

Description#

The Vessel Search API performs partial matching searches against keywords (MMSI, IMO Number, Vessel Name, Call Sign, etc.) to retrieve eligible vessel static records. It returns all historical MMSI records linked to a specified IMO Number, or information of all vessels that have ever used the given vessel name in history.
Note:
Maritime Mobile Service Identity (MMSI) is a 9-digit numeric code used in maritime radio communication systems for unique identification of individual and group call stations. Unique to each vessel, an MMSI code may be changed upon vessel sale; its first three digits indicate the country or region of registration.
IMO Number (International Maritime Organization Number) is a unique 7-digit identifier assigned to each vessel by the International Maritime Organization, used for global tracking and administration of vessel identity, technical specifications and safety records.

Use Cases#

This service is generally integrated into systems or platforms. Returned MMSI numbers can act as input parameters for Single Vessel Position Query and Vessel Historical Track Query, to retrieve real-time vessel position, operational status and historical voyage track.
If you have a defined vessel MMSI list, you may skip this service and use Single Vessel Position API or Multi-Vessel Position API directly for fleet monitoring and management.

Request Limits#

An API key must be created before using this service. This API has no access frequency limits—unlimited calls are allowed once access permission is granted. To apply for or inquire about your access permission, please contact our support team: support@elaneglobal.com.

Endpoint#

EndpointHTTP MethodRemarks
https://api.elaneglobal.com/v1/AIS/VesselSearchGETWhen using partial matching with vessel name or IMO number, multiple results will be returned. You can distinguish them by referring to the latest AIS report time. Vessels may have their MMSI changed during ownership transfers or certain leasing processes. Old MMSI numbers will still be retained in records—filter them based on your specific use case.

Example API Call#

https://api.elaneglobal.com/apicall/v3/VesselSearch?key=1F6D701272402D1E7D8D316CCE519123&keywords=DENEBLEADER&max=5
Note:
The key 1F6D701272402D1E7D8D316CCE519123 is the official key of elaneglobal.com, bound to the domain api.elaneglobal.com.
Users are not authorized to use this key for data access—utilizing it will return a status code 14, indicating an error in the source domain.
To trial the service, please contact our support team: support@elaneglobal.com.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.elaneglobal.com/v1/AIS/VesselSearch?key=1F6D701272402D1E7D8D316CCE519123&keywords=DENEB LEADER&max=5'

Responses

⚪0success
application/json
Body

Example
{
	"status": 0,
	"msg": "",
	"total": 3,
	"data": [
		{
			"match_type": 1,
			"mmsi": 356688000,
			"imo": 9738777,
			"call_sign": "3EKQ",
			"ship_name": "DENEB LEADER",
			"data_source": 0,
			"last_time": 1773728217
		},
		{
			"match_type": 1,
			"mmsi": 346559616,
			"imo": 9738777,
			"call_sign": "3EKQ",
			"ship_name": "DENEB LEADER",
			"data_source": 0,
			"last_time": 1772838361
		},
		{
			"match_type": 1,
			"mmsi": 525007112,
			"imo": 0,
			"call_sign": "",
			"ship_name": "DENEB LEADER",
			"data_source": 0,
			"last_time": 1765181535
		}
	]
}
Previous
1.1.3 Fleet Position
Next
1.3 Vessels Nearby
Built with